Printable version

Drivers & software

* RECOMMENDED * HP Fibre Channel Enablement Kit for Linux - QLogic

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Software - Storage Controllers - FC HBA
Version: 6.0.0.0-1(1 Apr 2016)
Operating System(s): Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (x86)
SUSE Linux Enterprise Server 12
File name: HP-CNA-FC-hpqlgc-Enablement-Kit-6.0.0.0-1.noarch.rpm (2.8 MB)
This package contains utilities and libraries to enable HP Storage fibre channel array connectivity on Linux.

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-1

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

d88dd7a33419a0cd743d0fb81ee2eeabf1a3d5fcbafbffc884334ba70b8c14b3 HP-CNA-FC-hpqlgc-Enablement-Kit-6.0.0.0-1.noarch.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

There has been a change to the enablement kits. They are now vendor specific kits. It is recommended that you uninstall any previous kits prior to installation of this component.

To uninstall the hp-fc-enablement RPM use the following command:

   # rpm -e hp-fc-enablement-<version>.noarch.rpm

To install the vendor specific enablement RPM use the following command:

  # rpm -ivh HP-CNA_FC-hpqlgc-enablement-<version>.noarch.rpm 

This version of the enablement kit does not provide the additional functionality of rebuilding the ram disk or setting driver parameters as the previous versions had done.  Please refer to the “Additional setup” section of the Native Linux Device-Mapper Multipath for HP StorageWorks Arrays reference guide for instructions on how to perform these functions.  The reference guide is available at the following link:

http://www.hp.com/storage/spock/

 


End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important:

Release Notes:
HP StorageWorks QLogic Adapters Release Notes


Version:6.0.0.0-4(f) (4 Jun 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Updated the kit to version 6.0.0.0-4

Added support for RedHat Enterprise Linux 8


Version:6.0.0.0-4(e) (27 Sep 2018)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-4


Version:6.0.0.0-4(d) (5 Feb 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Updated the kit to version 6.0.0.0-4


Version:6.0.0.0-4(c) (25 Sep 2017)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-4


Version:6.0.0.0-4(b) (12 Jul 2017)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-4


Version:6.0.0.0-4(a) (12 Dec 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Kit version 6.0.0.0-4. Added support for the following devices:

  • HPE StoreFabric SN1600Q 32Gb Dual Port Fibre Channel Host Bus Adapter
  • HPE StoreFabric SN1600Q 32Gb Single Port Fibre Channel Host Bus Adapter

Version:6.0.0.0-4 (26 Sep 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-4

Added support for SN1600Q. 


Version:6.0.0.0-2 (31 Mar 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-2

Added support for the following devices:

  • HPE StoreFabric SN1100Q 16GB 2-port PCIe Fibre Channel Host Bus Adapter  
  • HPE StoreFabric SN1100Q 16GB 1-port PCIe Fibre Channel Host Bus Adapter
  • HPE StoreFabric 84Q 4P 8Gb Fibre Channel HBA
  • HPE Synergy 3830C 16G Fibre Channel Host Bus Adapter

Version:6.0.0.0-1 (1 Apr 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-1


Version:5.0.0.0-3 (1 Oct 2015)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 5.0.0.0-3


Version:5.0.0.0-2 (15 Jun 2015)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 5.0.0.0-2


Version:4.0.0.0-1 (30 Mar 2015)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 4.0.0.0-1


Version:3.0.0.0-8(B) (25 Nov 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for SUSE Enterprise Linux Server 12


Version:3.0.0.0-8 (9 Sep 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Updated the kit to version 3.0.0.0-8


Version:2.0.0.0-4(B) (17 Jun 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for Red Hat Enterprise Linux 7.


Version:2.0.0.0-4 (10 Sep 2013)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


This is the first release of the vendor specific kit.  It contains support for only Qlogic adapters.


Type: Software - Storage Controllers - FC HBA
Version: 6.0.0.0-1(1 Apr 2016)
Operating System(s):
Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 11 (x86)
SUSE Linux Enterprise Server 12

Description

This package contains utilities and libraries to enable HP Storage fibre channel array connectivity on Linux.

Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-1

Installation Instructions

To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

d88dd7a33419a0cd743d0fb81ee2eeabf1a3d5fcbafbffc884334ba70b8c14b3 HP-CNA-FC-hpqlgc-Enablement-Kit-6.0.0.0-1.noarch.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

There has been a change to the enablement kits. They are now vendor specific kits. It is recommended that you uninstall any previous kits prior to installation of this component.

To uninstall the hp-fc-enablement RPM use the following command:

   # rpm -e hp-fc-enablement-<version>.noarch.rpm

To install the vendor specific enablement RPM use the following command:

  # rpm -ivh HP-CNA_FC-hpqlgc-enablement-<version>.noarch.rpm 

This version of the enablement kit does not provide the additional functionality of rebuilding the ram disk or setting driver parameters as the previous versions had done.  Please refer to the “Additional setup” section of the Native Linux Device-Mapper Multipath for HP StorageWorks Arrays reference guide for instructions on how to perform these functions.  The reference guide is available at the following link:

http://www.hp.com/storage/spock/

 


Release Notes

End User License Agreements:
HPE Software License Agreement v1


Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Important:

Release Notes:
HP StorageWorks QLogic Adapters Release Notes


Important

Revision History

Version:6.0.0.0-4(f) (4 Jun 2019)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Updated the kit to version 6.0.0.0-4

Added support for RedHat Enterprise Linux 8


Version:6.0.0.0-4(e) (27 Sep 2018)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-4


Version:6.0.0.0-4(d) (5 Feb 2018)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Updated the kit to version 6.0.0.0-4


Version:6.0.0.0-4(c) (25 Sep 2017)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-4


Version:6.0.0.0-4(b) (12 Jul 2017)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-4


Version:6.0.0.0-4(a) (12 Dec 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Kit version 6.0.0.0-4. Added support for the following devices:

  • HPE StoreFabric SN1600Q 32Gb Dual Port Fibre Channel Host Bus Adapter
  • HPE StoreFabric SN1600Q 32Gb Single Port Fibre Channel Host Bus Adapter

Version:6.0.0.0-4 (26 Sep 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-4

Added support for SN1600Q. 


Version:6.0.0.0-2 (31 Mar 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-2

Added support for the following devices:

  • HPE StoreFabric SN1100Q 16GB 2-port PCIe Fibre Channel Host Bus Adapter  
  • HPE StoreFabric SN1100Q 16GB 1-port PCIe Fibre Channel Host Bus Adapter
  • HPE StoreFabric 84Q 4P 8Gb Fibre Channel HBA
  • HPE Synergy 3830C 16G Fibre Channel Host Bus Adapter

Version:6.0.0.0-1 (1 Apr 2016)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 6.0.0.0-1


Version:5.0.0.0-3 (1 Oct 2015)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 5.0.0.0-3


Version:5.0.0.0-2 (15 Jun 2015)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 5.0.0.0-2


Version:4.0.0.0-1 (30 Mar 2015)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


Updated the kit to version 4.0.0.0-1


Version:3.0.0.0-8(B) (25 Nov 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for SUSE Enterprise Linux Server 12


Version:3.0.0.0-8 (9 Sep 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Updated the kit to version 3.0.0.0-8


Version:2.0.0.0-4(B) (17 Jun 2014)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Added support for Red Hat Enterprise Linux 7.


Version:2.0.0.0-4 (10 Sep 2013)
Enhancements

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


This is the first release of the vendor specific kit.  It contains support for only Qlogic adapters.


Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.